Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.impl
[Java] Class DefaultAction

    java.lang.Object
      javax.swing.AbstractAction
          groovy.swing.impl.DefaultAction

    public class DefaultAction
    extends javax.swing.AbstractAction

A default action implementation

Authors:
  James Strachan

Version:
  \$Revision\$

Field Summary

Fields inherited from class javax.swing.AbstractAction
DEFAULT, NAME, SHORT_DESCRIPTION, LONG_DESCRIPTION, SMALL_ICON, ACTION_COMMAND_KEY, ACCELERATOR_KEY, MNEMONIC_KEY, SELECTED_KEY, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent event)`
`Closure` | `getClosure()`
`void` | `setClosure(Closure closure)`

Methods inherited from class javax.swing.AbstractAction
javax.swing.AbstractAction#getValue(java.lang.String), javax.swing.AbstractAction#getKeys(), javax.swing.AbstractAction#putValue(java.lang.String, java.lang.Object), javax.swing.AbstractAction#setEnabled(boolean), javax.swing.AbstractAction#addPropertyChangeListener(java.beans.PropertyChangeListener), javax.swing.AbstractAction#removePropertyChangeListener(java.beans.PropertyChangeListener), javax.swing.AbstractAction#getPropertyChangeListeners(), javax.swing.AbstractAction#isEnabled(), javax.swing.AbstractAction#wait(long), javax.swing.AbstractAction#wait(long, int), javax.swing.AbstractAction#wait(), javax.swing.AbstractAction#equals(java.lang.Object), javax.swing.AbstractAction#toString(), javax.swing.AbstractAction#hashCode(), javax.swing.AbstractAction#getClass(), javax.swing.AbstractAction#notify(), javax.swing.AbstractAction#notifyAll(), javax.swing.AbstractAction#actionPerformed(java.awt.event.ActionEvent)

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

### getClosure

    public Closure getClosure()

### setClosure

    public void setClosure(Closure closure)

Groovy Documentation